Bug 102872 - Tangent is not recognize
Summary: Tangent is not recognize
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Laurent BP
URL:
Whiteboard: target:5.3.0 target:5.2.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2016-09-30 15:01 UTC by Dorange-Pattoret Didier
Modified: 2016-11-22 09:31 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dorange-Pattoret Didier 2016-09-30 15:01:21 UTC
Hello,

Since 5.2 tangent (function tan) is not recognize.

I get an error number 35 with tan.

Sub Test
Print sin(pi/2)
Print cos(pi/4)
Print tan(pi/4)
End Sub 

The problem does not come until 5.1.5.2 and comes since 5.2.0.0 : 

Crash With
- Version: 5.2.0.0.alpha0+
Build ID: 18565a34d6e2768d70462f124c6d6972448efe22
CPU Threads: 4; OS Version: Windows 6.1; UI Render: GL;
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-12-23_11:31:57
Locale: fr-FR (fr_FR)

No Crash with
- Version: 5.2.0.0.alpha0+
Build ID: 2d4279b53a7835303e0804c2b1cf9aa53fd723aa
Threads 4; Ver: Windows 6.1; Render: GL;
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-12-05_16:45:52
Locale: fr-FR (fr_FR)

Thanks for all.
Comment 1 Jean-Baptiste Faure 2016-10-01 07:25:16 UTC
Reproducible with master and version 5.2.3.0+ under Ubuntu x86-64.
Confirmed on W7 on French users ML.

-> status NEW.

Best regards. JBF
Comment 2 Cor Nouws 2016-10-01 09:50:18 UTC
ok in 5.1.5 indeed.
Thanks for reporting!
Comment 3 Laurent BP 2016-10-01 12:59:54 UTC
Suspected commit: 98f0e0eda50690bd01842c806bd13e3bc5af2966
https://cgit.freedesktop.org/libreoffice/core/commit/basic/?id=98f0e0eda50690bd01842c806bd13e3bc5af2966&context=8&ignorews=0&ss=0

Declaration of TAB function is missing its argument. So it uses TAN function as argument in basic/source/runtime/stdobj.cxx
http://opengrok.libreoffice.org/xref/core/basic/source/runtime/stdobj.cxx#606
Comment 4 Xisco Faulí 2016-10-01 14:07:14 UTC
Hi Laurent,
Thanks for pointing out the commit that introduced the regression. I've reverted it locally and it's indeed the problematic one.
Adding: bisected and bibisected to the keyword.

Would you like to fix this?
Comment 5 Laurent BP 2016-10-01 15:49:44 UTC
(In reply to Xisco Faulí from comment #4)
> Would you like to fix this?

I've proposed a commit
https://gerrit.libreoffice.org/#/c/29437/
Comment 6 Commit Notification 2016-10-03 09:27:54 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=db29cdcc70ba792ed54e0957929b4524816b1fb3

tdf#102872 TAB function is missing its argument

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-10-03 09:33:32 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=74817e67441204416a4e6db0440d35c85a2fca84&h=libreoffice-5-2

tdf#102872 TAB function is missing its argument

It will be available in 5.2.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2016-10-03 10:30:28 UTC
Hi Laurent,

Thanks for your fix. You can close the bug as RESOLVED FIXED now.
Comment 9 Jean-Baptiste Faure 2016-10-03 11:42:03 UTC
Thank you very much for this fix. It works as expected in Version: 5.2.3.0.0+
Build ID: 3b0a57d6de5931fcbd554a11cb9abdd09c34a735
Threads CPU : 4; Version de l'OS :Linux 4.4; UI Render : par défaut; 
Ubuntu_16.04_x86-64
Locale : fr-FR (fr_FR.UTF-8); Calc: single

Closing as Resolved Fixed then Verified Fixed.

Best regards. JBF
Comment 10 Commit Notification 2016-11-22 09:31:34 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8a50ea54546a51fc7a2a28174031e7351dbed10e

tdf#102872 Add qa unit test for BASIC methods

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.